@charset "utf-8";

.footer {
      margin-top: -20px;
    position: relative;
    overflow: hidden;
  padding: 0 20px;
}
@media screen and (min-width: 768px) {
 .footer {
  padding: 0 83px;
}
}

.footer__img  {
  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}

.footer__top {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  border-bottom: 1px solid rgba(40, 56, 56, 0.1);
}
@media screen and (min-width: 1024px) {
  .footer__top {
    grid-template-columns: repeat(2, 1fr);
  }
}

.footer__top-item {
  padding: 100px 0 87px;
  position: relative;
  
  &:first-of-type::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 1px;
    left: 50%;
    transform: translateX(-50%);
    bottom: 0;
    background: rgba(40, 56, 56, 0.1);
  }
}
@media screen and (min-width: 1024px) {
  .footer__top-item {
      &:first-of-type::after {
    width: 1px;
    height: 218px;
    top: 50%;
    transform: translateY(-50%);
        left: unset;
    right: 0;
  }
  }
}

.footer__btn:hover {
  opacity: 0.8;
}

.footer__btn-tel {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 5px;
  border-bottom: 2px solid #238B8B;

  &::before {
    content: "";
      mask-position: center center;
  mask-repeat: no-repeat;
  mask-size: contain;
  mask-image: url('../images/icon-tel.svg');
  background: #238B8B;
    width: 20px;
    height: 20px;
  }
}

.footer__bottom {
    border-top: 1px solid rgba(40, 56, 56, 0.1);
  padding: 80px 0 40px;
  display: flex;
  gap: 74px;
  justify-content: space-between;
  flex-direction: column;
}
@media screen and (min-width: 768px) {
  .footer__bottom {
        padding: 80px 0 101px;
    flex-direction: row;
      align-items: end;
    gap: 0;
  }
}

.footer__logo:hover {
  opacity: 0.7;
}

.footer__bottom-links {
      padding: 82px 0 88px;
display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 35px 60px;
  width: fit-content;
    margin-inline: auto;
}
@media screen and (min-width: 768px) {
  .footer__bottom-links {
        grid-template-columns: repeat(4, 1fr);
      gap: 35px 50px;
  }
}
@media screen and (min-width: 1024px) {
  .footer__bottom-links {
    width: 100%;
    display: flex;
     flex-wrap: nowrap;
    gap: 40px;
     justify-content: space-between;
  }
}
@media screen and (min-width: 1500px) {
  .footer__bottom-links {
     gap: 100px;
       justify-content: center;
  }
}

.footer__bottom-link {
  font-size: 14px;
  font-weight: 400;
  letter-spacing: 0;
  line-height: 1;
}
.footer__bottom-link p {
  width: fit-content;
  color: #283838;
  position: relative;
  display: inline-block;
  transition: color 0.3s;
  
  &:hover {
    color: #238B8B;
  }
}
.footer__bottom-link p::before {
  background-color: #283838;
  content: "";
  height: 1px;
  left: 0;
  position: absolute;
  width: 100%;
    bottom: -8px;
  opacity: 1;
}

.footer__bottom-link p:hover {
 color: #238B8B;
}